为 CentOS 打上 EPEL 扩展源

最近想在 CentOS 上安装 wine,却发现在默认的 repo 里边没有。一番搜索后得知 CentOS 的源中没有 wine, 另辟蹊径的方法是安装 EPEL。那什么事 EPEL 呢,官方的答案是 Extra Packages for Enterprise Linux,也就是为企业级 Linux 提供的额外软件源,兼容 RHEL,CentOS,Scientific Linux。

安装方法如下:

For EL5 32位:

su -c ‘rpm -Uvh http://download.fedoraproject.org/pub/epel/5/i386/epel-release-5-4.noarch.rpm’

su -c ‘yum install foo’

Continue reading

让你的 Google Toolbar 兼容 Firefox 5.0 / Make Google Toolbar support for your Firefox 5.0

最近由于 Mozilla 追赶着 Chrome 的步伐,Firefox 也在两个月之内飞快的进化到了 5.0。再怎么快也追不上神速的 Google Chrome。虽然浏览体验速度有很大提高,但是带来的很大烦恼就是插件很多需要相应更新。头疼的是某些插件没有及时的追上版本的脚步,得不到支持了。郁闷啊。

其实 Firefox 4.0 与 5.0 的差异相对较小。只要简单更改插件中 install.rdf 所描述支持的最大版本就能让他们支持新生的 Firefox 5.0。

Google Toolbar 就是其中之一。离开了 Google,怎么活啊。那来变个魔法让你的 Google Toolbar 也兼容 Firefox 5.0 吧。

  • Win7:打开文件夹:C:\Users\[用户名]\AppData\Roaming\Mozilla\Firefox\Profiles\[随即字串].default。
  • WinXP:打开文件夹:C:\Documents and Settings\[用户名]\Application Data\Mozilla\Firefox\Profiles\[随即字串].default。

搜索目录下的 install.rdf 文件。这是你会找到很多 install.rdf。逐一打开查看其是不是 Google Toolbar for Firefox。

修改其中 MaxVersion 到 6.*(大于 5.0 即可)。保存,重启下你的 Firefox。发现原来的 Google Toolbar 回来了吧。o(* ̄▽ ̄*)o

Google Toolbar for Firefox 5.0

 

解决方案来源:http://support.mozilla.com/en-US/questions/837142#answer-202409

 

另外一个不需要做任何修改的方法,

可以通过安装 Add-on Compatibility Reporter 这个插件来解决,虽然也仅仅是一个临时解决方法,不过临时之后也会带来 Google Toolbar 的更新。

Add-on Compatibility Reporter for Google Toolbar